Loading...
Searching...
No Matches
dolfin::EigenFactory Class Reference

Eigen linear algebra factory. More...

`#include <EigenFactory.h>`

Inheritance diagram for dolfin::EigenFactory:
[legend]
Collaboration diagram for dolfin::EigenFactory:
[legend]

## Public Member Functions

virtual | ~EigenFactory ()
| Destructor.
std::shared_ptr< GenericMatrix > | create_matrix (MPI_Comm comm) const
| Create empty matrix.
std::shared_ptr< GenericVector > | create_vector (MPI_Comm comm) const
| Create empty vector.
std::shared_ptr< TensorLayout > | create_layout (MPI_Comm comm, std::size_t rank) const
| Create empty tensor layout.
std::shared_ptr< GenericLinearOperator > | create_linear_operator (MPI_Comm comm) const
| Create empty linear operator.
std::shared_ptr< GenericLinearSolver > | create_lu_solver (MPI_Comm comm, std::string method) const
| Create LU solver.
std::shared_ptr< GenericLinearSolver > | create_krylov_solver (MPI_Comm comm, std::string method, std::string preconditioner) const
| Create Krylov solver.
std::map< std::string, std::string > | lu_solver_methods () const
| Return a list of available LU solver methods.
std::map< std::string, std::string > | krylov_solver_methods () const
| Return a list of available Krylov solver methods.
std::map< std::string, std::string > | krylov_solver_preconditioners () const
| Return a list of available preconditioners.
Public Member Functions inherited from dolfin::GenericLinearAlgebraFactory
| GenericLinearAlgebraFactory ()
| Constructor.
virtual | ~GenericLinearAlgebraFactory ()
| Destructor.

## Static Public Member Functions

static EigenFactory & | instance ()
| Return singleton instance.

## Detailed Description

Eigen linear algebra factory.

## Member Function Documentation

## create_krylov_solver()

std::shared_ptr< GenericLinearSolver > dolfin::EigenFactory::create_krylov_solver | ( | MPI_Comm | comm,
|  | std::string | method,
|  | std::string | preconditioner ) const

inline virtual

Create Krylov solver.

Implements dolfin::GenericLinearAlgebraFactory.

## create_layout()

std::shared_ptr< TensorLayout > dolfin::EigenFactory::create_layout | ( | MPI_Comm | comm,
|  | std::size_t | rank ) const

inline virtual

Create empty tensor layout.

Implements dolfin::GenericLinearAlgebraFactory.

## create_linear_operator()

std::shared_ptr< GenericLinearOperator > dolfin::EigenFactory::create_linear_operator | ( | MPI_Comm | comm | ) | const

inline virtual

Create empty linear operator.

Implements dolfin::GenericLinearAlgebraFactory.

## create_lu_solver()

std::shared_ptr< GenericLinearSolver > dolfin::EigenFactory::create_lu_solver | ( | MPI_Comm | comm,
|  | std::string | method ) const

inline virtual

Create LU solver.

Implements dolfin::GenericLinearAlgebraFactory.

## create_matrix()

std::shared_ptr< GenericMatrix > dolfin::EigenFactory::create_matrix | ( | MPI_Comm | comm | ) | const

inline virtual

Create empty matrix.

Implements dolfin::GenericLinearAlgebraFactory.

## create_vector()

std::shared_ptr< GenericVector > dolfin::EigenFactory::create_vector | ( | MPI_Comm | comm | ) | const

inline virtual

Create empty vector.

Implements dolfin::GenericLinearAlgebraFactory.

## krylov_solver_methods()

std::map< std::string, std::string > dolfin::EigenFactory::krylov_solver_methods | ( |  | ) | const

inline virtual

Return a list of available Krylov solver methods.

Reimplemented from dolfin::GenericLinearAlgebraFactory.

## krylov_solver_preconditioners()

std::map< std::string, std::string > dolfin::EigenFactory::krylov_solver_preconditioners | ( |  | ) | const

inline virtual

Return a list of available preconditioners.

Reimplemented from dolfin::GenericLinearAlgebraFactory.

## lu_solver_methods()

std::map< std::string, std::string > dolfin::EigenFactory::lu_solver_methods | ( |  | ) | const

inline virtual

Return a list of available LU solver methods.

Reimplemented from dolfin::GenericLinearAlgebraFactory.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/EigenFactory.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/EigenFactory.cpp